Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc.internal
Class PackagePropertiesPart

    java.lang.Object
      org.apache.poi.openxml4j.opc.PackagePart
          org.apache.poi.openxml4j.opc.internal.PackagePropertiesPart

All Implemented Interfaces:
  PackageProperties, RelationshipSource

    public final class PackagePropertiesPart

extends PackagePart
implements PackageProperties

Represents the core properties part of a package.

Author:
  Julien Chable

Field Summary
`protected Nullable<java.lang.String>` | `category` A categorization of the content of this package.
`protected Nullable<java.lang.String>` | `contentStatus` The status of the content.
`protected Nullable<java.lang.String>` | `contentType` The type of content represented, generally defined by a specific use and intended audience.
`protected Nullable<java.util.Date>` | `created` Date of creation of the resource.
`protected Nullable<java.lang.String>` | `creator` An entity primarily responsible for making the content of the resource.
`protected Nullable<java.lang.String>` | `description` An explanation of the content of the resource.
`protected Nullable<java.lang.String>` | `identifier` An unambiguous reference to the resource within a given context.
`protected Nullable<java.lang.String>` | `keywords` A delimited set of keywords to support searching and indexing.
`protected Nullable<java.lang.String>` | `language` The language of the intellectual content of the resource.
`protected Nullable<java.lang.String>` | `lastModifiedBy` The user who performed the last modification.
`protected Nullable<java.util.Date>` | `lastPrinted` The date and time of the last printing.
`protected Nullable<java.util.Date>` | `modified` Date on which the resource was changed.
`static java.lang.String` | `NAMESPACE_CP_URI`
`static java.lang.String` | `NAMESPACE_DC_URI`
`static java.lang.String` | `NAMESPACE_DCTERMS_URI`
`static java.lang.String` | `NAMESPACE_XSI_URI`
`protected Nullable<java.lang.String>` | `revision` The revision number.
`protected Nullable<java.lang.String>` | `subject` The topic of the content of the resource.
`protected Nullable<java.lang.String>` | `title` The name given to the resource.
`protected Nullable<java.lang.String>` | `version` The version number.

Fields inherited from class org.apache.poi.openxml4j.opc.PackagePart
`_container, _contentType, _partName`

Fields inherited from interface org.apache.poi.openxml4j.opc.PackageProperties
`NAMESPACE_DC, NAMESPACE_DCTERMS`

Constructor Summary
`PackagePropertiesPart(OPCPackage pack, PackagePartName partName)` Constructor.

Method Summary
`void` | `close()` Close this part : flush this part, close the input stream and output stream.
`void` | `flush()` Flush the content of this part.
`Nullable<java.lang.String>` | `getCategoryProperty()` Get the category property.
`Nullable<java.lang.String>` | `getContentStatusProperty()` Get content status.
`Nullable<java.lang.String>` | `getContentTypeProperty()` Get content type.
`Nullable<java.util.Date>` | `getCreatedProperty()` Get created date.
`java.lang.String` | `getCreatedPropertyString()` Get created date formated into a String.
`Nullable<java.lang.String>` | `getCreatorProperty()` Get creator.
`Nullable<java.lang.String>` | `getDescriptionProperty()` Get description.
`Nullable<java.lang.String>` | `getIdentifierProperty()` Get identifier.
`protected java.io.InputStream` | `getInputStreamImpl()` Abtract method that get the input stream of this part.
`Nullable<java.lang.String>` | `getKeywordsProperty()` Get keywords.
`Nullable<java.lang.String>` | `getLanguageProperty()` Get the language.
`Nullable<java.lang.String>` | `getLastModifiedByProperty()` Get the author of last modifications.
`Nullable<java.util.Date>` | `getLastPrintedProperty()` Get last printed date.
`java.lang.String` | `getLastPrintedPropertyString()` Get last printed date formated into a String.
`Nullable<java.util.Date>` | `getModifiedProperty()` Get modified date.
`java.lang.String` | `getModifiedPropertyString()` Get modified date formated into a String.
`protected java.io.OutputStream` | `getOutputStreamImpl()` Abstract method that get the output stream of this part.
`Nullable<java.lang.String>` | `getRevisionProperty()` Get revision.
`Nullable<java.lang.String>` | `getSubjectProperty()` Get subject.
`Nullable<java.lang.String>` | `getTitleProperty()` Get title.
`Nullable<java.lang.String>` | `getVersionProperty()` Get version.
`boolean` | `load(java.io.InputStream ios)` Load the content of this part.
`boolean` | `save(java.io.OutputStream zos)` Save the content of this part and the associated relationships part (if this part own at least one relationship) into the specified output stream.
`void` | `setCategoryProperty(java.lang.String category)` Set the category.
`void` | `setContentStatusProperty(java.lang.String contentStatus)` Set the content status.
`void` | `setContentTypeProperty(java.lang.String contentType)` Set the content type.
`void` | `setCreatedProperty(Nullable<java.util.Date> created)` Set the created date.
`void` | `setCreatedProperty(java.lang.String created)` Set the created date.
`void` | `setCreatorProperty(java.lang.String creator)` Set the creator.
`void` | `setDescriptionProperty(java.lang.String description)` Set the description.
`void` | `setIdentifierProperty(java.lang.String identifier)` Set identifier.
`void` | `setKeywordsProperty(java.lang.String keywords)` Set keywords.
`void` | `setLanguageProperty(java.lang.String language)` Set language.
`void` | `setLastModifiedByProperty(java.lang.String lastModifiedBy)` Set last modifications author.
`void` | `setLastPrintedProperty(Nullable<java.util.Date> lastPrinted)` Set last printed date.
`void` | `setLastPrintedProperty(java.lang.String lastPrinted)` Set last printed date.
`void` | `setModifiedProperty(Nullable<java.util.Date> modified)` Set last modification date.
`void` | `setModifiedProperty(java.lang.String modified)` Set last modification date.
`void` | `setRevisionProperty(java.lang.String revision)` Set revision.
`void` | `setSubjectProperty(java.lang.String subject)` Set subject.
`void` | `setTitleProperty(java.lang.String title)` Set title.
`void` | `setVersionProperty(java.lang.String version)` Set version.

Methods inherited from class org.apache.poi.openxml4j.opc.PackagePart
`addExternalRelationship, addExternalRelationship, addRelationship, addRelationship, addRelationship, addRelationship, clearRelationships, getContentType, getInputStream, getOutputStream, getPackage, getPartName, getRelationship, getRelationships, getRelationshipsByType, hasRelationships, isDeleted, isRelationshipExists, isRelationshipPart, removeRelationship, setContentType, setDeleted, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACE_DC_URI

    public static final java.lang.String NAMESPACE_DC_URI

See Also:
  Constant Field Values

### NAMESPACE_CP_URI

    public static final java.lang.String NAMESPACE_CP_URI

See Also:
  Constant Field Values

### NAMESPACE_DCTERMS_URI

    public static final java.lang.String NAMESPACE_DCTERMS_URI

See Also:
  Constant Field Values

### NAMESPACE_XSI_URI

    public static final java.lang.String NAMESPACE_XSI_URI

See Also:
  Constant Field Values

### category

    protected Nullable<java.lang.String> category

  A categorization of the content of this package. [Example: Example values for this property might include: Resume, Letter, Financial Forecast, Proposal, Technical Presentation, and so on. This value might be used by an application's user interface to facilitate navigation of a large set of documents. end example]

### contentStatus

    protected Nullable<java.lang.String> contentStatus

  The status of the content. [Example: Values might include "Draft", "Reviewed", and "Final". end example]

### contentType

    protected Nullable<java.lang.String> contentType

  The type of content represented, generally defined by a specific use and intended audience. [Example: Values might include "Whitepaper", "Security Bulletin", and "Exam". end example] [Note: This property is distinct from MIME content types as defined in RFC 2616. end note]

### created

    protected Nullable<java.util.Date> created

  Date of creation of the resource.

### creator

    protected Nullable<java.lang.String> creator

  An entity primarily responsible for making the content of the resource.

### description

    protected Nullable<java.lang.String> description

  An explanation of the content of the resource. [Example: Values might include an abstract, table of contents, reference to a graphical representation of content, and a free-text account of the content. end example]

### identifier

    protected Nullable<java.lang.String> identifier

  An unambiguous reference to the resource within a given context.

### keywords

    protected Nullable<java.lang.String> keywords

  A delimited set of keywords to support searching and indexing. This is typically a list of terms that are not available elsewhere in the properties.

### language

    protected Nullable<java.lang.String> language

  The language of the intellectual content of the resource. [Note: IETF RFC 3066 provides guidance on encoding to represent languages. end note]

### lastModifiedBy

    protected Nullable<java.lang.String> lastModifiedBy

  The user who performed the last modification. The identification is environment-specific. [Example: A name, email address, or employee ID. end example] It is recommended that this value be as concise as possible.

### lastPrinted

    protected Nullable<java.util.Date> lastPrinted

  The date and time of the last printing.

### modified

    protected Nullable<java.util.Date> modified

  Date on which the resource was changed.

### revision

    protected Nullable<java.lang.String> revision

  The revision number. [Example: This value might indicate the number of saves or revisions, provided the application updates it after each revision. end example]

### subject

    protected Nullable<java.lang.String> subject

  The topic of the content of the resource.

### title

    protected Nullable<java.lang.String> title

  The name given to the resource.

### version

    protected Nullable<java.lang.String> version

  The version number. This value is set by the user or by the application.

Constructor Detail

### PackagePropertiesPart

    public PackagePropertiesPart(OPCPackage pack,
                                 PackagePartName partName)
                          throws InvalidFormatException

  Constructor.

  Parameters:
    `pack` - Container package.
    `partName` - Name of this part.
  Throws:
    `InvalidFormatException` - Throws if the content is invalid.

Method Detail

### getCategoryProperty

    public Nullable<java.lang.String> getCategoryProperty()

  Get the category property.

  Specified by:
    `getCategoryProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getCategoryProperty()`

### getContentStatusProperty

    public Nullable<java.lang.String> getContentStatusProperty()

  Get content status.

  Specified by:
    `getContentStatusProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getContentStatusProperty()`

### getContentTypeProperty

    public Nullable<java.lang.String> getContentTypeProperty()

  Get content type.

  Specified by:
    `getContentTypeProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getContentTypeProperty()`

### getCreatedProperty

    public Nullable<java.util.Date> getCreatedProperty()

  Get created date.

  Specified by:
    `getCreatedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getCreatedProperty()`

### getCreatedPropertyString

    public java.lang.String getCreatedPropertyString()

  Get created date formated into a String.

  Returns:
    A string representation of the created date.

### getCreatorProperty

    public Nullable<java.lang.String> getCreatorProperty()

  Get creator.

  Specified by:
    `getCreatorProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getCreatorProperty()`

### getDescriptionProperty

    public Nullable<java.lang.String> getDescriptionProperty()

  Get description.

  Specified by:
    `getDescriptionProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getDescriptionProperty()`

### getIdentifierProperty

    public Nullable<java.lang.String> getIdentifierProperty()

  Get identifier.

  Specified by:
    `getIdentifierProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getIdentifierProperty()`

### getKeywordsProperty

    public Nullable<java.lang.String> getKeywordsProperty()

  Get keywords.

  Specified by:
    `getKeywordsProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getKeywordsProperty()`

### getLanguageProperty

    public Nullable<java.lang.String> getLanguageProperty()

  Get the language.

  Specified by:
    `getLanguageProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getLanguageProperty()`

### getLastModifiedByProperty

    public Nullable<java.lang.String> getLastModifiedByProperty()

  Get the author of last modifications.

  Specified by:
    `getLastModifiedByProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getLastModifiedByProperty()`

### getLastPrintedProperty

    public Nullable<java.util.Date> getLastPrintedProperty()

  Get last printed date.

  Specified by:
    `getLastPrintedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getLastPrintedProperty()`

### getLastPrintedPropertyString

    public java.lang.String getLastPrintedPropertyString()

  Get last printed date formated into a String.

  Returns:
    A string representation of the last printed date.

### getModifiedProperty

    public Nullable<java.util.Date> getModifiedProperty()

  Get modified date.

  Specified by:
    `getModifiedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getModifiedProperty()`

### getModifiedPropertyString

    public java.lang.String getModifiedPropertyString()

  Get modified date formated into a String.

  Returns:
    A string representation of the modified date.

### getRevisionProperty

    public Nullable<java.lang.String> getRevisionProperty()

  Get revision.

  Specified by:
    `getRevisionProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getRevisionProperty()`

### getSubjectProperty

    public Nullable<java.lang.String> getSubjectProperty()

  Get subject.

  Specified by:
    `getSubjectProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getSubjectProperty()`

### getTitleProperty

    public Nullable<java.lang.String> getTitleProperty()

  Get title.

  Specified by:
    `getTitleProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getTitleProperty()`

### getVersionProperty

    public Nullable<java.lang.String> getVersionProperty()

  Get version.

  Specified by:
    `getVersionProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.getVersionProperty()`

### setCategoryProperty

    public void setCategoryProperty(java.lang.String category)

  Set the category.

  Specified by:
    `setCategoryProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setCategoryProperty(java.lang.String)`

### setContentStatusProperty

    public void setContentStatusProperty(java.lang.String contentStatus)

  Set the content status.

  Specified by:
    `setContentStatusProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setContentStatusProperty(java.lang.String)`

### setContentTypeProperty

    public void setContentTypeProperty(java.lang.String contentType)

  Set the content type.

  Specified by:
    `setContentTypeProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setContentTypeProperty(java.lang.String)`

### setCreatedProperty

    public void setCreatedProperty(java.lang.String created)

  Set the created date.

  Specified by:
    `setCreatedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setCreatedProperty(org.apache.poi.openxml4j.util.Nullable)`

### setCreatedProperty

    public void setCreatedProperty(Nullable<java.util.Date> created)

  Set the created date.

  Specified by:
    `setCreatedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setCreatedProperty(org.apache.poi.openxml4j.util.Nullable)`

### setCreatorProperty

    public void setCreatorProperty(java.lang.String creator)

  Set the creator.

  Specified by:
    `setCreatorProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setCreatorProperty(java.lang.String)`

### setDescriptionProperty

    public void setDescriptionProperty(java.lang.String description)

  Set the description.

  Specified by:
    `setDescriptionProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setDescriptionProperty(java.lang.String)`

### setIdentifierProperty

    public void setIdentifierProperty(java.lang.String identifier)

  Set identifier.

  Specified by:
    `setIdentifierProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setIdentifierProperty(java.lang.String)`

### setKeywordsProperty

    public void setKeywordsProperty(java.lang.String keywords)

  Set keywords.

  Specified by:
    `setKeywordsProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setKeywordsProperty(java.lang.String)`

### setLanguageProperty

    public void setLanguageProperty(java.lang.String language)

  Set language.

  Specified by:
    `setLanguageProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setLanguageProperty(java.lang.String)`

### setLastModifiedByProperty

    public void setLastModifiedByProperty(java.lang.String lastModifiedBy)

  Set last modifications author.

  Specified by:
    `setLastModifiedByProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setLastModifiedByProperty(java.lang.String)`

### setLastPrintedProperty

    public void setLastPrintedProperty(java.lang.String lastPrinted)

  Set last printed date.

  Specified by:
    `setLastPrintedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setLastPrintedProperty(org.apache.poi.openxml4j.util.Nullable)`

### setLastPrintedProperty

    public void setLastPrintedProperty(Nullable<java.util.Date> lastPrinted)

  Set last printed date.

  Specified by:
    `setLastPrintedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setLastPrintedProperty(org.apache.poi.openxml4j.util.Nullable)`

### setModifiedProperty

    public void setModifiedProperty(java.lang.String modified)

  Set last modification date.

  Specified by:
    `setModifiedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setModifiedProperty(org.apache.poi.openxml4j.util.Nullable)`

### setModifiedProperty

    public void setModifiedProperty(Nullable<java.util.Date> modified)

  Set last modification date.

  Specified by:
    `setModifiedProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setModifiedProperty(org.apache.poi.openxml4j.util.Nullable)`

### setRevisionProperty

    public void setRevisionProperty(java.lang.String revision)

  Set revision.

  Specified by:
    `setRevisionProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setRevisionProperty(java.lang.String)`

### setSubjectProperty

    public void setSubjectProperty(java.lang.String subject)

  Set subject.

  Specified by:
    `setSubjectProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setSubjectProperty(java.lang.String)`

### setTitleProperty

    public void setTitleProperty(java.lang.String title)

  Set title.

  Specified by:
    `setTitleProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setTitleProperty(java.lang.String)`

### setVersionProperty

    public void setVersionProperty(java.lang.String version)

  Set version.

  Specified by:
    `setVersionProperty` in interface `PackageProperties`
  See Also:
    `PackageProperties.setVersionProperty(java.lang.String)`

### getInputStreamImpl

    protected java.io.InputStream getInputStreamImpl()

  Description copied from class: `PackagePart`
  Abtract method that get the input stream of this part.

  Specified by:
    `getInputStreamImpl` in class `PackagePart`

### getOutputStreamImpl

    protected java.io.OutputStream getOutputStreamImpl()

  Description copied from class: `PackagePart`
  Abstract method that get the output stream of this part.

  Specified by:
    `getOutputStreamImpl` in class `PackagePart`

### save

    public boolean save(java.io.OutputStream zos)

  Description copied from class: `PackagePart`
  Save the content of this part and the associated relationships part (if this part own at least one relationship) into the specified output stream.

  Specified by:
    `save` in class `PackagePart`
  Parameters:
    `zos` - Output stream to save this part.

### load

    public boolean load(java.io.InputStream ios)

  Description copied from class: `PackagePart`
  Load the content of this part.

  Specified by:
    `load` in class `PackagePart`
  Parameters:
    `ios` - The input stream of the content to load.
  Returns:
    true if the content has been successfully loaded, else false.

### close

    public void close()

  Description copied from class: `PackagePart`
  Close this part : flush this part, close the input stream and output stream. After this method call, the part must be available for packaging.

  Specified by:
    `close` in class `PackagePart`

### flush

    public void flush()

  Description copied from class: `PackagePart`
  Flush the content of this part. If the input stream and/or output stream as in a waiting state to read or write, the must to empty their respective buffer.

  Specified by:
    `flush` in class `PackagePart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.